// Copyright 2023 qbee.io
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// SPDX-License-Identifier: Apache-2.0

package app

// Version of the agent.
// Format is YYYY.WW[.patch]
// YYYY is the 4-digit year of the release (e.g. 2023)
// MM is the 2-digit week of the year (e.g. 02, 12)
// patch is the optional patch number (in case more than one release occurs during the same week)
var Version = "0000.00"

// Commit represents the HEAD of the git repository at the time of the build.
var Commit = "NA"
